%define iconname %{name}.png
Name:		audiokonverter
Version:	5.9.1
Release:	%mkrel 1
Summary:	A KDE audio converter service menu for Dolphin
Group:		Sound
License:	GPLv2
URL:		http://www.kde-apps.org/content/show.php?content=12608
Source0:	http://www.kde-apps.org/CONTENT/content-files/12608-%{name}-%{version}.tar.bz2
BuildRequires:	kde4-macros
Requires:	dolphin
Requires:	mplayer flac wavpack
Requires:	id3lib vorbis-tools
Requires:	lame 
Requires:	faad2
BuildArch:	noarch
Patch0:		audiokonverter-nofaac.patch 
Patch1:		audiokonverter-free.patch 

%description 
audiokonverter is a small utility to easily convert from OGG, MP3,
AAC, M4A, FLAC, WMA, RealAudio, Musepack, Wavpack, WAV and movies to
MP3, OGG, M4A, WAV and FLAC in Dolphin and Konqueror by right-clicking
on them.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p0 -b .audiokonverter-nofaac.patch

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%_kde_services/ServiceMenus
install -m 644 *4.desktop %{buildroot}%_kde_services/ServiceMenus
mkdir -p %{buildroot}%_kde_appsdir/dolphin/servicemenus
install -m 644 *4.desktop %{buildroot}%_kde_appsdir/dolphin/servicemenus
mkdir -p %{buildroot}%_kde_bindir
install -m 755 anytowav4 audioconvert4 movie2sound4 oggdrop-lx %{buildroot}%_kde_bindir

%files
%doc README Changelog
%_kde_bindir/*
%_kde_services/ServiceMenus/*.desktop
%_kde_appsdir/dolphin/servicemenus/*.desktop



%changelog
* Sun Oct 02 2011 Texstar <texstar at gmail.com> 5.9.1-1pclos2011
- 5.9.1
